<?php

use App\Http\Controllers\Api\V1\Admin\Ticket\AdminTicketItemIndexController;
use App\Http\Controllers\Api\V1\Admin\Ticket\AdminTicketItemShowController;
use Illuminate\Support\Facades\Route;

/**
 * 管理员注单路由。
 */
Route::middleware('admin.api-resource')
    ->group(function (): void {
        Route::get('tickets/{ticket_no}', AdminTicketItemShowController::class)
            ->name('api.v1.admin.tickets.show');
        Route::get('tickets', AdminTicketItemIndexController::class)
            ->name('api.v1.admin.tickets.index');
    });
